
Infrastructure - Bug #3072

ONEMercury 'bookmark' button appears in Google Chrome

2012-07-16 17:12 - Skye Roseboom

Status: Closed Start date: 2012-07-16

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 1.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.4 Story Points:  

Product Version: *   

Description

The ONEMercury search results page renders a 'bookmark' button depending on the browser agent detected.  The button creates a

browser bookmark to the current (search) page.   

Google Chrome does not allow javascript to create bookmarks - this button should not appear in Google Chrome.  The browser

sniffing/detection logic must not be handling chrome properly.  

Low risk fix - targeting for 1.0.3 initially due to low risk.

History

#1 - 2012-07-16 17:12 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-07-18 01:45 - Skye Roseboom

Added improved browser agent detection. 

Installed on cn-dev.dataone.org for testing.

#3 - 2012-07-24 22:11 - Skye Roseboom

- Status changed from In Progress to Testing

Copied fix to 1.0.0 branch for testing prior to 1.0.3 release.

#4 - 2012-08-16 21:54 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

- Status changed from Testing to In Progress

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.33-Block.5.1

Fixed on the search page, but still appear on the full record view. Reopening this ticket and setting to 1.0.4 to address that item specifically.

#5 - 2012-08-27 19:07 - Skye Roseboom

- Status changed from In Progress to Testing

Removed 'bookmark' from metadata detail ui view for chrome on trunk and 1.0.4

#6 - 2012-08-29 17:28 - Skye Roseboom

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

- Position set to 132
#7 - 2012-09-10 16:12 - Skye Roseboom

- Status changed from Testing to Closed

tested on RC release branch.  no bookmark in chrome now.
